Subject: Re: [P2PSIP] RELOAD overlay configuration document

From: Cullen Jennings <[email-masked]>
Date: Wed, 13 Jan 2010 13:00:14 -0700

I don't have strong preferences one way or the other. I do't think there was any particular reason why the current format was selected. I do think the DTLS and TLS will be run on the same port. 

Cullen <in my individual contributor role>

On Dec 30, 2009, at 12:42 AM, Jouni Mäenpää wrote:

> Hi,
> 
> Ari Keranen wrote:
>> But back to the original question: wouldn't you also, considering all
>> the points we have discussed, prefer the following format (or
>> something similar) for the bootstrap-node element:
>> 
>> <bootstrap-node>
>>   <address>192.0.0.1</address>
>>   <port>5678</port>
>>   <proto>TLS</proto>
>> </bootstrap-node>
>> 
>> over the original format:
>> 
>> <bootstrap-node>192.0.0.1:5678</bootstrap-node>
>> 
>> With the new format you are free to use the same port for both TLS and
>> DTLS, but you are not forced to do so. Also, this makes the element
>> much more extensible.
> 
> I like the new format since it is easy to extend.
> 
> Cheers,
> Jouni
> _______________________________________________
> P2PSIP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/p2psip